<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<!doctype html>
<html lang="fr_FR" class="no-js fullscreen">
<head>
    <meta charset="utf-8">
    <title>Éditeur de requête</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
    <link rel="stylesheet" href="styles/styles.css">
</head>
<body>
<header class="public-header">
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <div class="navbar-header">
                <div class="navbar-brand">
                    <div class="navbar-gouv">
                        <img src="https://diffuseur.datatourisme.gouv.fr/assets/images/logos/marianne.png?5bce2c4bf0b977936dc93b8bc2f03733">
                        <img src="https://diffuseur.datatourisme.gouv.fr/assets/images/logos/minefi.png?9e79f71c8f8de889532ce7a60a241817">
                    </div>
                    <a href="/"><img class="navbar-logo" src="https://diffuseur.datatourisme.gouv.fr/assets/images/logos/datatourisme-250.png?cdc45830b17693b5836724335279b251"></a>
                </div>
            </div>
            <div class="navbar-text navbar-right">
                Espace <strong>diffuseur</strong>
            </div>
        </div>
    </nav>
</header>
<!-- Full Width Column -->
<div class="content-wrapper notify-container">
    <div class="table-wrapper">
        <div class="table-row">
            <section class="content p-10">
                <visual-query-editor ng-model="query" ontology="ontology" query="graphql" mode="graphql"></visual-query-editor>
            </section>
        </div>
        <div class="table-row graphql-row">
            <div ui-codemirror ng-model="graphql" ui-codemirror-opts="{mode: 'graphql', theme:'dracula', lineWrapping : false, lineNumbers: false, readOnly: true}"></div>
        </div>
    </div>
    <!-- /.container -->
</div>
<!-- /.content-wrapper -->
<!-- /.content-wrapper -->
<footer class="main-footer">
    <div class="container">
        <div class="row">
            <div class="col-xs-6 col-sm-3 col-lg-3">
                <h5>DATAtourisme</h5>
                <ul class="list-unstyled">
                    <li><a href="http://www.datatourisme.fr">Présentation du projet</a></li>
                    <li><a href="https://producteur.datatourisme.gouv.fr">Espace producteur</a></li>
                    <li><a href="https://diffuseur.datatourisme.gouv.fr">Espace diffuseur</a></li>
                    <li><a href="https://ontologie.datatourisme.gouv.fr">Ontologie</a></li>
                    <li><a href="#">Licences</a></li>
                    <li><a href="#">Mentions légales</a></li>
                    <li><a href="#">Conditions générales d'utilisation</a></li>
                </ul>
            </div>
            <div class="col-xs-6 col-sm-5 col-lg-5">
                <div class="row">
                    <div class="col-xs-12 col-sm-6 col-lg-5">
                        <h5>Réseau</h5>
                        <ul class="list-unstyled">
                            <li><a href="http://www.data.gouv.fr" target="_blank">Data.gouv.fr</a></li>
                            <li><a href="http://www.gouvernement.fr" target="_blank">Gouvernement.fr</a></li>
                            <li><a href="http://www.france.fr" target="_blank">France.fr</a></li>
                            <li><a href="http://www.legifrance.gouv.fr" target="_blank">Legifrance.gouv.fr</a></li>
                            <li><a href="http://www.service-public.fr" target="_blank">Service-public.fr</a></li>
                        </ul>
                    </div>
                    <div class="col-xs-12 col-sm-6 col-lg-7">
                        <h5>Partenaires</h5>
                        <ul class="list-unstyled">
                            <li><a href="https://www.ikoula.com" target="_blank">Ikoula</a></li>
                            <li><a href="http://www.offices-de-tourisme-de-france.org" target="_blank">Offices de Tourisme de France</a></li>
                            <li><a href="http://destination-regions.org" target="_blank">Destination Régions</a></li>
                            <li><a href="https://www.etalab.gouv.fr" target="_blank">Etalab</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="clearfix visible-xs-block"></div>
            <div class="col-xs-12 col-logo col-sm-4 col-lg-offset-1 col-lg-3">
                <div class="row">
                    <div class="col-xs-6">
                        <a href="https://www.entreprises.gouv.fr" target="_blank"><img class="logo-dge" src="https://diffuseur.datatourisme.gouv.fr/assets/images/logos/dge.png?73d335e0eb0ffd8f21977e5878a18f27"></a>
                    </div>
                    <div class="col-xs-6">
                        <a href="http://www.tourisme-territoires.net" target="_blank"><img class="logo-tt" src="https://diffuseur.datatourisme.gouv.fr/assets/images/logos/tt.png?9947cb0e3816477e6ab899c49eaf3dc9"></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<script type="text/javascript" src="scripts/app.js"></script>
<script>
    var devApp = angular.module('devApp', ['visual-query-editor']).
    run(function($rootScope, $http, $timeout) {

        /*$rootScope.query = {
         "types": ["https://www.datatourisme.gouv.fr/ontology/core#PlaceOfInterest"],
         "ast": {"or": [
         {"and": [
         {"geo": {path: ["https://www.datatourisme.gouv.fr/ontology/core#isLocatedAt", "http://schema.org/geo"], value: null}}
         ]}
         ]}
         };*/

//                 $rootScope.query = {"types":["https://www.datatourisme.gouv.fr/ontology/core#PlaceOfInterest"],filters: [
//                     //{path: ["https://www.datatourisme.gouv.fr/ontology/core#hasBeenCreatedBy", "http://xmlns.com/foaf/0.1/nick"], value: "test"},
//                     //{path: ["https://www.datatourisme.gouv.fr/ontology/core#internetAccess"], value: true},
//                     {path: ["https://www.datatourisme.gouv.fr/ontology/core#isLocatedAt", "http://schema.org/geo"], value: [[48.1119800,-1.6742900],100]}
//                 ]};

//                $rootScope.query = {filters: [
//                    {type:"period", path: ["https://www.datatourisme.gouv.fr/ontology/core#takesPlaceAt", "https://www.datatourisme.gouv.fr/ontology/core#endDate"], value: ["2016-09-01", "2016-10-13"]},
//                    {type:"text", path: ["https://www.datatourisme.gouv.fr/ontology/core#hasBeenCreatedBy", "http://xmlns.com/foaf/0.1/nick"], value: "test"},
//                    {type:"boolean", path: ["https://www.datatourisme.gouv.fr/ontology/core#internetAccess"], value: true},
        //{type:"thesaurus", path: ["https://www.datatourisme.gouv.fr/ontology/core#hasTheme"], value: ["http://www.datatourisme.fr/resource/core#InTheCountryside"]}
        //               ]};
    });

    $.get('ontology.json', function(data) {
        var ontology = Ontology.fromJson(data);
        devApp.config(['ontologyProvider', function(ontologyProvider) {
            ontologyProvider.setOntology(ontology);
        }]);
        angular.bootstrap(document, ['devApp']);
    });

    function getScope() {
        return angular.element("body").scope();
    }

</script>
</body>
</html>
